Package Scientific :: Package Visualization :: Module VRML :: Class LinearOrientedObject

[frames] | no frames]

# Class LinearOrientedObject

    VRMLObject --+
                 |
       ShapeObject --+
                     |
                    LinearOrientedObject

Known Subclasses:
  - Cone
  - , Cylinder

Instance Methods

__init__(self, attr, point1, point2) |

Inherited from `ShapeObject`: `__add__`, `use`, `writeToFile` Inherited from `VRMLObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
Inherited from `ShapeObject`: `attribute_names`

Method Details

### __init__(self, attr, point1, point2)
(Constructor)

Parameters:
  - `attr` - graphics attributes specified by keywords
  - `material` - color and surface properties
  - `comment` - a comment that is written to the script file
  - `reuse` - a flag defaulting to `False`. If set to `True`, the object may share its VRML definition with other objects. This reduces the size of the VRML file, but can yield surprising side effects in some cases.
Overrides: VRMLObject.__init__
  (inherited documentation)